DROP DATABASE IF EXISTS bdfilmslight;

CREATE DATABASE bdfilmslight;   
USE bdfilmslight;
#
# Creation des tables
#
DROP TABLE IF EXISTS films;  
DROP TABLE IF EXISTS films_vus;  
DROP TABLE IF EXISTS realisateurs; 
DROP TABLE IF EXISTS distribution; 

CREATE TABLE films (
	movie_id	INTEGER NOT NULL UNIQUE,
	title	VARCHAR (100) NOT NULL,
	release_year	INTEGER,
	runtime	INTEGER,
	original_language	VARCHAR (30) NOT NULL,
	genres	VARCHAR (50) NOT NULL,
	revenue	INTEGER,
	PRIMARY KEY(movie_id)
);
CREATE TABLE films_vus (
	movie_id	INTEGER NOT NULL,
	date_vu	date NOT NULL,
	note	INTEGER,
	version	VARCHAR(2) CHECK(version IN ('vo', 'vf')),
	FOREIGN KEY(movie_id) REFERENCES films(movie_id),
	PRIMARY KEY(movie_id,date_vu)
);
CREATE TABLE distribution (
	movie_id	INTEGER,
	actor	VARCHAR (30) NOT NULL
);
CREATE TABLE realisateurs (
	movie_id	INTEGER,
	director	VARCHAR (30) NOT NULL,
	PRIMARY KEY(movie_id, director)
);